net.sourceforge.pmd.symboltable

## Class AcceptanceTest

- java.lang.Object
- - net.sourceforge.pmd.symboltable.STBBaseTst
  - - net.sourceforge.pmd.symboltable.AcceptanceTest

    public class AcceptanceTest
    extends STBBaseTst

### Field Summary

Fields
`static String` `TEST_INNER_CLASS`

### Fields inherited from class net.sourceforge.pmd.symboltable.STBBaseTst

`acu, stb`

### Constructor Summary

Constructors
Constructor and Description
`AcceptanceTest()`

### Method Summary

Methods
`static junit.framework.Test` `suite()`
`void` `testCatchBlocks()`
`void` `testClashingSymbols()`
`void` `testDemo()`
`void` `testEnum()`
`void` `testEq()`
`void` `testFieldFinder()`
`void` `testInitializer()`
`void` `testInnerOuterClass()`

### Methods inherited from class net.sourceforge.pmd.symboltable.STBBaseTst

`parseCode, parseCode, parseCode15`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### TEST_INNER_CLASS

    public static final String TEST_INNER_CLASS

### Constructor Detail

#### AcceptanceTest

    public AcceptanceTest()

### Method Detail

#### testClashingSymbols

    public void testClashingSymbols()

#### testInitializer

    public void testInitializer()

#### testCatchBlocks

    public void testCatchBlocks()

#### testEq

    public void testEq()

#### testFieldFinder

    public void testFieldFinder()

#### testDemo

    public void testDemo()

#### testEnum

    public void testEnum()

#### testInnerOuterClass

    public void testInnerOuterClass()

#### suite

    public static junit.framework.Test suite()